{{page-title @model.feature.name " | " (t "edit-label")}}

{{#if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Input::Manage::Visibility
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @value={{@model.feature.visibility}}
        @onSave={{this.saveVisibility}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
      />

      <Manage::ModelInfo
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @model={{@model.feature}}
        @disabled={{this.disabled}}
        @onSave={{this.save}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
      />

      <Manage::Source @value={{@model.feature.source}} />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit feature")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        <Manage::Row @name="article" class="mb-3">
          <Manage::Article
            @title={{t "name and description"}}
            @editablePanel={{this.editableField}}
            @value={{@model.feature.contentBlocks}}
            @onSave={{this.saveArticle}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
            @onPictureUpload={{this.onPictureUpload}}
          />
        </Manage::Row>

        <Manage::Row @name="icons">
          <Manage::Icons
            @title={{t "icons"}}
            @isDisabled={{this.isDisabled}}
            @value={{@model.featureIcons}}
            @iconSets={{@model.iconSets}}
            @editablePanel={{this.editableField}}
            @onSave={{this.iconsChanged}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}} />
        </Manage::Row>

        <Manage::Row @name="maps">
          <Manage::SelectList
            @isMainValue={{true}}
            @title={{t "maps"}}
            @list={{@model.maps}}
            @values={{@model.feature.maps}}
            @route="browse.maps.map-view"
            @emptyMessage={{t "The site has no assigned map"}}
            @disabled={{this.disabled}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveMaps}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="location">
          <div class="location-presenter">
            <Manage::Geometry
              @extent={{@model.area}}
              @baseMaps={{@model.baseMaps}}
              @icon={{@model.feature.firstIcon}}
              @value={{@model.feature.position}}
              @editablePanel={{this.editableField}}
              @savingPanel={{this.savingField}}
              @disabled={{this.disabled}}
              @onSave={{this.savePosition}}
              @onCancel={{this.cancel}}
              @onEdit={{this.edit}}
            />
          </div>
        </Manage::Row>

        <Manage::Row @name="picture-list">
          <Manage::PhotoGallery
            @title={{capitalize (t "photos")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @value={{@model.pictures}}
            @onSave={{this.updatePictures}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
            @model="Feature"
            @modelId={{@model.feature.id}}
          />
        </Manage::Row>

        <Manage::Row @name="sound-list">
          <Manage::SoundList
            @title={{capitalize (t "sounds")}}
            @feature={{@model.feature}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @value={{@model.sounds}}
            @onSave={{this.updateSounds}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
          />
        </Manage::Row>

        <Manage::Row @name="attributes mb-5">
          <Input::SiteAttributes
            @icons={{@model.feature.icons}}
            @attributes={{@model.feature.attributes}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @disabled={{this.disabled}}
            @onSave={{this.saveAttributes}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}